<?PHP

function wpcwv2_register_mysettings()
{
	register_setting( 'wpcwv2-group', 'wpcwv2_enabled' );
	register_setting( 'wpcwv2-group', 'wpcwv2_cookie_expire' );
	register_setting( 'wpcwv2-group', 'wpcwv2_msg_title' );
	register_setting( 'wpcwv2-group', 'wpcwv2_msg_message' );
	register_setting( 'wpcwv2-group', 'wpcwv2_msg_exit_text' );
	register_setting( 'wpcwv2-group', 'wpcwv2_msg_exit_url' );
	register_setting( 'wpcwv2-group', 'wpcwv2_msg_enter_text' );
	
	// New
	register_setting( 'wpcwv2-group', 'wpcwv2_author_override' );
	register_setting( 'wpcwv2-group', 'wpcwv2_author_default' );
	register_setting( 'wpcwv2-group', 'wpcwv2_cookie_expire_num' );
	register_setting( 'wpcwv2-group', 'wpcwv2_cookie_expire_type' );
	register_setting( 'wpcwv2-group', 'wpcwv2_cookie_expire_immdeiately' );
	register_setting( 'wpcwv2-group', 'wpcwv2_exit_use_which');
	register_setting( 'wpcwv2-group', 'wpcwv2_exit_page_id');
	register_setting( 'wpcwv2-group', 'wpcwv2_enter_use_which');
	register_setting( 'wpcwv2-group', 'wpcwv2_enter_page_id');
	register_setting( 'wpcwv2-group', 'wpcwv2_sitewide');
	
	// Additional
	register_setting( 'wpcwv2-group', 'wpcwv2_use_denial' );
	register_setting( 'wpcwv2-group', 'wpcwv2_denial_option' );
	register_setting( 'wpcwv2-group', 'wpcwv2_deny_title' );
	register_setting( 'wpcwv2-group', 'wpcwv2_deny_message' );
	
	register_setting( 'wpcwv2-group', 'wpcwv2_cat_override' );
}
add_action( 'admin_init', 'wpcwv2_register_mysettings');

// Activation HOOCK
function wpcwv2_activate()
{
	// Setup Init Values
	if(get_option('wpcwv2_author_override') == false)
		update_option('wpcwv2_author_override', '0');
	
	if(get_option('wpcwv2_author_default') == false)
		update_option('wpcwv2_author_default', '1');
	
	if(get_option('wpcwv2_cookie_expire_num') == false)
		update_option('wpcwv2_cookie_expire_num', '1');
	
	if(get_option('wpcwv2_cookie_expire_immdeiately') == false)
		update_option('wpcwv2_cookie_expire_immdeiately', '1');
	
	if(get_option('wpcwv2_exit_use_which') == false)
		update_option('wpcwv2_exit_use_which', '1');
	
	if(get_option('wpcwv2_exit_page_id') == false)
		update_option('wpcwv2_exit_page_id', '1');
	
	if(get_option('wpcwv2_enter_use_which') == false)
		update_option('wpcwv2_enter_use_which', '1');
	
	if(get_option('wpcwv2_enter_page_id') == false)
		update_option('wpcwv2_enter_page_id', '1');
	
	if(get_option('wpcwv2_sitewide') == false)
		update_option('wpcwv2_sitewide', '0');

	// OLD VALUES
	if(get_option('wpcwv2_cookie_expire') == false)
		update_option('wpcwv2_cookie_expire', '86400');
	
	if(get_option('wpcwv2_msg_title') == false)
		update_option('wpcwv2_msg_title', 'Content Warning');
	
	if(get_option('wpcwv2_msg_message') == false)
		update_option('wpcwv2_msg_message', '<p>You are about to enter a website that may contain content of an adult nature. These pages are designed for ADULTS only and may include pictures and materials that some viewers may find offensive. If you are under the age of 18, if such material offends you or if it is illegal to view such material in your community please EXIT now.</p>');
	
	if(get_option('wpcwv2_msg_exit_text') == false)
		update_option('wpcwv2_msg_exit_text','EXIT');
	
	if(get_option('wpcwv2_msg_exit_url') == false)
		update_option('wpcwv2_msg_exit_url','http://www.google.com');
	
	if(get_option('wpcwv2_msg_enter_text') == false)
		update_option('wpcwv2_msg_enter_text','ENTER');
		
	if(get_option('wpcwv2_cat_override')==false)
		update_option('wpcwv2_cat_override', '0');
	
	
}
register_activation_hook( ABSPATH. 'wp-content/plugins/content-warning-v2/main.php', 'wpcwv2_activate' );


?>